Bug 82336 - Update port security/rkhunter - Fixed dependency and updated Makefile
Summary: Update port security/rkhunter - Fixed dependency and updated Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-16 22:20 UTC by Babak Farrokhi
Modified: 2005-07-03 13:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Babak Farrokhi 2005-06-16 22:20:18 UTC

Fix: 

[This mail has been send from http://www.rootshell.be.]--S76MMKYCyPwOgR2YMWWOa5lFrRo81sSwO83OykLbpfBJCZ4r
Content-Type: text/plain; name="rkhunter-1.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="rkhunter-1.patch"

diff -ruN rkhunter.orig/Makefile rkhunter/Makefile
--- rkhunter.orig/Makefile	Thu Jun 16 21:54:45 2005
+++ rkhunter/Makefile	Fri Jun 17 00:49:19 2005
@@ -7,22 +7,20 @@

 PORTNAME=	rkhunter
 PORTVERSION=	1.2.7
+PORTREVISION=	1
 CATEGORIES=	security
 MASTER_SITES=	http://downloads.rootkit.nl/

 MAINTAINER=	vaidab@safe-mail.net
 COMMENT=	Rootkit detection tool

-RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Digest/SHA1.pm:${PORTSDIR}/security/p5-Digest-SHA1
-
-# Wget has security holes, and rkhunter can use /usr/bin/fetch instead
-#		wget:${PORTSDIR}/ftp/wget
+RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Digest/SHA1.pm:${PORTSDIR}/security/p5-Digest-SHA1 \
+		${LOCALBASE}/bin/wget:${PORTSDIR}/ftp/wget

 WRKSRC=		${WRKDIR}/${PORTNAME}
 USE_PERL5=	yes
 NO_BUILD=	yes
 USE_REINPLACE=	yes
-PKGMESSAGE=	${WRKDIR}/pkg-message

 MAN8=		rkhunter.8
 MANCOMPRESSED=	no
@@ -35,9 +33,6 @@
 BROKEN=		"Does not build on sparc64"
 .endif

-post-patch:
-	@${SED} -e 's|PREFIX|${PREFIX}|g' ${FILESDIR}/pkg-message.in > ${PKGMESSAGE}
-
 do-install:
 	cd ${WRKSRC} && ./installer.sh --installdir ${PREFIX}
 	${INSTALL_MAN} ${WRKSRC}/files/development/rkhunter.8 ${MAN8PREFIX}/man/man8
@@ -45,6 +40,5 @@
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/files/|} ${DOCSDIR}
 .endif
-	@${CAT} ${PKGMESSAGE}

 .include <bsd.port.post.mk>
diff -ruN rkhunter.orig/files/pkg-message.in rkhunter/files/pkg-message.in
--- rkhunter.orig/files/pkg-message.in	Thu Jun 16 21:54:45 2005
+++ rkhunter/files/pkg-message.in	Thu Jan  1 03:30:00 1970
@@ -1,7 +0,0 @@
-
-#############################################################################
-  Installed additional documentation in: PREFIX/share/doc/rkhunter
-  Copy PREFIX/etc/rkhunter.conf.sample to PREFIX/etc/rkhunter.conf
-#############################################################################
-
-
Comment 1 Thierry Thomas freebsd_committer 2005-06-18 21:49:55 UTC
State Changed
From-To: open->feedback


Waiting for maintainer's approval. 



Comment 2 Thierry Thomas freebsd_committer 2005-06-18 21:49:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Thierry Thomas freebsd_committer 2005-07-03 13:42:27 UTC
State Changed
From-To: feedback->closed


Committed, thanks! 

Remark: PKGMESSAGE removed as requested, but warning: 
this port deinstall the conf file etc/rkhunter.conf 
since version 1.3; it would be better either to install 
it as .sample or to test if it has been updated before 
deinstallation.